ALAS-2020-1358


Amazon Linux AMI Security Advisory: ALAS-2020-1358
Advisory Release Date: 2020-04-23 23:06 Pacific
Severity: Medium
References: CVE-2019-19921 

Issue Overview:

runc through 1.0.0-rc9 has Incorrect Access Control leading to Escalation of Privileges, related to libcontainer/rootfs_linux.go. To exploit this, an attacker must be able to spawn two containers with custom volume-mount configurations, and be able to run custom images. (This vulnerability does not affect Docker due to an implementation detail that happens to block the attack.) (CVE-2019-19921 )


Affected Packages:

runc


Issue Correction:
Run yum update runc to update your system.

New Packages:
src:
    runc-1.0.0-0.1.20200204.gitdc9208a.1.amzn1.src

x86_64:
    runc-1.0.0-0.1.20200204.gitdc9208a.1.amzn1.x86_64
    runc-debuginfo-1.0.0-0.1.20200204.gitdc9208a.1.amzn1.x86_64